#!/bin/bash
#
#   script for Unison back up of
#       D:/_Data_Level
#       D:/Data_Applications/seamonkey_profiles/
#       C:/download_install/
#       C:/cygwin/usr/local/bin/
#       C:/wMc_java_GUI/
#
#   to internal backup drive F:/_Data_Volume_Backup/
#

INFILE=$1
PARAMFILE="_nsc_param_S5_v36.20.1-2_10-03-25.txt"

   echo "starting"
   # revise name field on input file
   echo "formatting sdf file"
   sed 's/^\t/CID_/g' $INFILE | unix2dos > $INFILE'.mod.sdf'

   echo "running molconn"
   ./molconn/molWinParent.exe -i $INFILE'.mod.sdf' \
                              -o $INFILE'.temp1.s' \
                              -N \
                              -O ./molconn/_ord_RI-2_S4_v36-1_36.20.1_10-03-15.txt \
                              | unix2dos > $INFILE'_results.txt'

   echo "formatting molconn output"
   # substitute tab for space
   sed 's/ /\t/g' $INFILE'.temp1.s' | \
   #remove NAME:
   sed 's/NAME://g' | \
   # remove CID_
   sed 's/CID_//g' | \
   #rename aname column
   sed 's/aname/name/g' > $INFILE'.temp2.s'
   # add index and ID columns
   awk 'BEGIN{OFS="\t"} {$2=(NR>1?NR-1:"ID")"\t"$2; print (NR>1?NR-1:"index"),$0}' $INFILE'.temp2.s' > $INFILE'.s'


   echo "formatting normal scale input file"
   # convert to unix eol
   dos2unix $INFILE'.s'
   # normalize and scale inputs
   echo "running normal_scale"
   ./normal_scale/normal_scale.exe -i $INFILE'.s' \
                              -o $INFILE'.nsctmp1.txt' \
                              -p ./normal_scale/$PARAMFILE
   echo "formatting nsc output"
   # re-formatting nsc output
   # add RI_6 column to end and group column to beginning
   awk 'BEGIN{OFS="\t"} {$40=(NR>1?NR-1:"RI_6")"\t"$40; print (NR>1?NR-1:"group"),$0}' $INFILE'.nsctmp1.txt' > $INFILE'.nsctmp2.txt'
   # make all group V
   sed 's/[0-9][0-9]*/V/' $INFILE'.nsctmp2.txt' > $INFILE'.nsctmp3.txt'
   # remove index, and ID
   cut -f 1,3,5-41 $INFILE'.nsctmp3.txt' | unix2dos > 'nsc-header_'$INFILE'.txt'
   # remove the header row
   sed 1d 'nsc-header_'$INFILE'.txt' > 'nsc_'$INFILE'.txt'

   #cleanup
   echo "cleaning up"
   rm -f $INFILE'.mod.sdf'
   rm -f $INFILE'.temp1.s'
   rm -f $INFILE'.temp2.s'
   rm -f $INFILE'.s'
   rm -f $INFILE'.nsctmp1.txt'
   rm -f $INFILE'.nsctmp2.txt'
   rm -f $INFILE'.nsctmp3.txt'
   rm -f $INFILE'_results.txt'

   echo "finished"




